Bug 1118174 - [Nagios] - Custom notifications are not sent via snmp
Summary: [Nagios] - Custom notifications are not sent via snmp
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: nagios-server-addons
Version: rhgs-3.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: ---
Assignee: Sahina Bose
QA Contact: RHS-C QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-10 06:47 UTC by RamaKasturi
Modified: 2018-01-30 07:55 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-01-30 07:55:13 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description RamaKasturi 2014-07-10 06:47:21 UTC
Description of problem:
When Auto config service is run from nagios UI, notifications are not been sent via snmp.

Version-Release number of selected component (if applicable):
nagios-server-addons-0.1.5-1.el6rhs.noarch

How reproducible:
Always

Steps to Reproduce:
1. Install nagios on RHS.
2. Run discovery.py to add the cluster and nodes to monitor
3. Now create another volume and run 'AutoConfig' service from nagios UI.

Actual results:
Custom Notifications is not sent via snmp.

Expected results:
Custom Notifications should be sent via snmp.

Additional info:

Comment 1 RamaKasturi 2014-09-03 13:26:04 UTC
When ever Cluster Auto config is run, there is a crash report being generated.

Attaching the sos report for the same.

http://rhsqe-repo.lab.eng.blr.redhat.com/sosreports/rhsc/1118174/

Comment 2 Shubhendu Tripathi 2015-07-16 09:36:47 UTC
doc-text not required, as snmp notifications sent for the hard limit crossed for CRITICAL service states and custom notifications are not sent by Nagios.

Comment 5 Sahina Bose 2018-01-30 07:55:13 UTC
Thank you for the bug report. However, closing this as the bug is filed against gluster nagios monitoring for which no further new development is being undertaken.


Note You need to log in before you can comment on or make changes to this bug.